Page MenuHomePhabricator

vendor/zordius - file permissions trigger debian lintian warnings
Closed, ResolvedPublic

Description

0. Context

DEB packages of mediawiki and many of its extensions, are prepared as part of the WP-MIRROR project.
See https://www.mediawiki.org/wiki/Wp-mirror.

  1. Lintian

During the build process, lintian performs a great number of sanity checks, including seeing if each file has file permissions appropriate to its file type.

When lintian sees a non-executable file with 755 permissions, rather than 644, lintian will throw a warning like:

wp-mirror-mediawiki: executable-not-elf-or-script usr/share/wp-mirror-mediawiki/vendor/zordius/lightncandy/tests/example_helpers.php

  1. Files which should have permissions set to 644

vendor/zordius/lightncandy/tests/example_helpers.php

  1. Technical details

DEB standards version: 3.9.6
GIT branch: master

Details

Related Gerrit Patches:
mediawiki/core : masterPermission fix
mediawiki/core : masterPermission file problem fixed

Event Timeline

wpmirrordev raised the priority of this task from to Normal.
wpmirrordev updated the task description. (Show Details)
wpmirrordev added a subscriber: wpmirrordev.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 10:49 PM
D3r1ck01 claimed this task.Sep 23 2015, 2:36 PM
D3r1ck01 set Security to None.

Change 240381 had a related patch set uploaded (by D3r1ck01):
Permission file problem fixed

https://gerrit.wikimedia.org/r/240381

Change 240381 abandoned by D3r1ck01:
Permission file problem fixed

Reason:
nothing to be done.

https://gerrit.wikimedia.org/r/240381

Change 240381 restored by D3r1ck01:
Permission file problem fixed

Reason:
I need to review it.

https://gerrit.wikimedia.org/r/240381

Change 240420 had a related patch set uploaded (by D3r1ck01):
Permission fix

https://gerrit.wikimedia.org/r/240420

Change 240381 abandoned by D3r1ck01:
Permission file problem fixed

Reason:
deleted.

https://gerrit.wikimedia.org/r/240381

I think a better solution to this problem is going to be to provide a patch to upstream that removes these example scripts from the files that get installed. An example of us doing this for another package we deploy is: https://github.com/nmred/kafka-php/commit/405a9b655472acca1c7f1b6ba43cc26600e05e1e

Change 240420 abandoned by D3r1ck01:
Permission fix

Reason:
not to work on again.

https://gerrit.wikimedia.org/r/240420

D3r1ck01 removed D3r1ck01 as the assignee of this task.Sep 23 2015, 6:48 PM
Reedy closed this task as Resolved.Oct 8 2019, 11:54 PM
Reedy claimed this task.